Loading...
Searching...
No Matches
l4shmc_ringbuf_head_t Struct Reference
L4SHM-based ring buffer implementation » Internal

Head field of a ring buffer. More...

`#include <ringbuf.h>`

Collaboration diagram for l4shmc_ringbuf_head_t:

## Data Fields

unsigned | next_read
| offset to next read packet
unsigned | next_write
| offset to next write packet
unsigned | bytes_filled
| bytes filled in buffer
unsigned | sender_waits
| sender waiting?
char | data []
| tail pointer -> data

## Detailed Description

Head field of a ring buffer.

Definition at line 59 of file ringbuf.h.

The documentation for this struct was generated from the following file:

- l4/shmc/ringbuf.h